Bug 484606 - plasma crashes in 4.2
plasma crashes in 4.2
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 18:49 EST by Ellen Shull
Modified: 2009-03-17 01:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 01:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first backtrace (8.18 KB, application/octet-stream)
2009-02-08 18:49 EST, Ellen Shull
no flags Details
second backtrace (7.75 KB, application/octet-stream)
2009-02-08 18:50 EST, Ellen Shull
no flags Details
backtrace from crash on new system (8.22 KB, text/plain)
2009-02-17 00:49 EST, Ellen Shull
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 187368 None None None Never

  None (edit)
Description Ellen Shull 2009-02-08 18:49:47 EST
Created attachment 331259 [details]
first backtrace

Description of problem:
Running the kde 4.2 packages currently in updates-testing, I've had a couple random plasma crashes; in neither case was I immediately interacting with plasma, and I was doing different things each time.

The first time I had been copying some data off DVD using dolphin, so I was making occasional use of plasma (file copy status and recently plugged devices).  I think I had just closed a dolphin window when plasma nuked.

The second time, I was just browsing in firefox when plasma went *boom*.

This was before picking up the latest -testing kdesettings packages; not sure if they'll have any effect.

Version-Release number of selected component (if applicable):
kdebase-workspace-4.2.0-4.fc10.2.x86_64

How reproducible:
randomly happens so far

Additional info:
backtraces attached

http://www.smolts.org/client/show/pub_57e5f384-77af-4d40-bbad-f7b92131c12c

glibc-2.9-3.{i686,x86_64}
kernel-2.6.27.12-170.2.5.fc10.x86_64
Comment 1 Ellen Shull 2009-02-08 18:50:38 EST
Created attachment 331260 [details]
second backtrace
Comment 2 Ellen Shull 2009-02-17 00:48:26 EST
I recently migrated my installation to some different hardware, and experienced this crash again:
- only video card and one hard drive common with the previous system--old was C2D on Intel 945GM, this is Phenom II on nv 590 SLI.  Smolt's not talking to me right now so haven't updated profile yet.
- this time I didn't even have evil nvidia module loaded
- had picked up the updated set of packages (including kdebase-workspace-4.2.0-8.fc10.x86_64).  

With packages now pushed to updates and presumably ready for primetime, should I take this to mean low probability of Fedora specificity, and push this report to kde bz?
Comment 3 Ellen Shull 2009-02-17 00:49:17 EST
Created attachment 332177 [details]
backtrace from crash on new system
Comment 4 Steven M. Parrish 2009-03-16 20:28:39 EDT
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 5 Ellen Shull 2009-03-16 23:20:40 EDT
Pushed report upstream:  https://bugs.kde.org/show_bug.cgi?id=187368
Comment 6 Kevin Kofler 2009-03-17 01:54:01 EDT
Thanks for reporting this upstream, we'll continue tracking this upstream.

Note You need to log in before you can comment on or make changes to this bug.